> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an entry

> Remove an entry from its pipeline. Only the pipeline membership is deleted — the underlying
company or contact is untouched.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json delete /pipeline-entries/{entryId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /pipeline-entries/{entryId}:
    delete:
      tags:
        - Pipeline entries
      summary: Remove an entry
      description: >-
        Remove an entry from its pipeline. Only the pipeline membership is
        deleted — the underlying

        company or contact is untouched.
      operationId: Remove
      parameters:
        - in: path
          name: entryId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - properties:
                      updatedAt:
                        $ref: '#/components/schemas/NativeDate'
                      createdAt:
                        $ref: '#/components/schemas/NativeDate'
                    required:
                      - updatedAt
                      - createdAt
                    type: object
                  - properties:
                      laneChangedAt:
                        type: string
                        format: date-time
                      recordSnapshot:
                        properties:
                          subtitle:
                            type: string
                          plan:
                            type: string
                          externalId:
                            type: string
                          value:
                            type: number
                            format: double
                          name:
                            type: string
                        type: object
                      laneId:
                        type: string
                      lexorank:
                        type: string
                      createdBy:
                        properties:
                          isValid:
                            properties: {}
                            type: object
                          createFromHexString:
                            properties: {}
                            type: object
                          createFromTime:
                            properties: {}
                            type: object
                          generate:
                            properties: {}
                            type: object
                          cacheHexString: {}
                        type: object
                      recordId:
                        properties:
                          isValid:
                            properties: {}
                            type: object
                          createFromHexString:
                            properties: {}
                            type: object
                          createFromTime:
                            properties: {}
                            type: object
                          generate:
                            properties: {}
                            type: object
                          cacheHexString: {}
                        type: object
                      recordType:
                        type: string
                        enum:
                          - COMPANY
                          - CONTACT
                      pipeline:
                        properties:
                          isValid:
                            properties: {}
                            type: object
                          createFromHexString:
                            properties: {}
                            type: object
                          createFromTime:
                            properties: {}
                            type: object
                          generate:
                            properties: {}
                            type: object
                          cacheHexString: {}
                        type: object
                      project:
                        properties:
                          isValid:
                            properties: {}
                            type: object
                          createFromHexString:
                            properties: {}
                            type: object
                          createFromTime:
                            properties: {}
                            type: object
                          generate:
                            properties: {}
                            type: object
                          cacheHexString: {}
                        type: object
                      values: {}
                    required:
                      - recordId
                      - recordType
                      - pipeline
                      - project
                      - values
                    type: object
                  - $ref: '#/components/schemas/Document_any.any.any_'
                  - properties:
                      _id:
                        $ref: '#/components/schemas/ObjectId'
                    required:
                      - _id
                    type: object
      security:
        - jwt: []
components:
  schemas:
    NativeDate:
      type: string
    Document_any.any.any_:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    ObjectId:
      type: string
    FlattenMaps_T_:
      properties: {}
      type: object
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````